Subject: [yam] Issue #11: RFC 5321 3.1: Clarify language for 554 status code (was: Ambiguities in RFC 5321)

From: SM <[email-masked]>
Date: Sun, 06 Dec 2009 02:30:16 -0800

At 12:07 13-11-2009, John Levine wrote:
>In Section 3.1, a server can offer two greetings to a new
>connection, 220 or 554.  The semantics of the 554 are utterly
>unclear.  Plausible interpretations include:

Quoting Section 3.1 of RFC 5321:

   "Since an attempt to make an SMTP connection to such a system
   is probably in error, a server returning a 554 response on
   connection opening SHOULD provide enough  information in the
   reply text to facilitate debugging of the sending system."

Ned commented [1] that the 554 is usually for ""no SMTP service here" 
(see Section 4.2.3).

>a) This domain has rejected your mail, give up and report the message(s)
>as undeliverable, as though you got the 554 in response to DATA.
>
>554 YOU ARE BLACKLISTED. FOAD.

That's a policy decision.

>c) This server is sort of broken, try others at the same MX priority
>but not lower.
>
>554 MY SPOOL DISK IS CURRENTLY FULL. SORRY.

You could return a 452 code in response to the MAIL FROM:

At 10:01 21-11-2009, Ned Freed wrote:
>In summary, I would support a small clarification to section 3.1 to state
>succiinctly that 554 means "no SMTP service here". I would also support
>addition of 550 as a possible response to connections or EHLO/HELO. That said,
>several of the  assertions you've made here do not stand up to inspection and
>I would not support rewriting 3.1 as you appear to be suggesting.

Agreed.  A 550 code can be used in response to EHLO.  See Section 7.9.

Regards,
-sm

1. http://www.ietf.org/mail-archive/web/yam/current/msg00183.html